summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gentoo.org>2016-09-14 01:04:50 -0400
committerTim Harder <radhermit@gentoo.org>2016-09-14 01:19:38 -0400
commit524354bd662b0e83403f5722d8f421f7bd6110e0 (patch)
treef0e873d38989701a84ba1b3657cc9de5c1640048 /net-mail
parentdev-ruby/d3_rails: add 4.1.1 (diff)
downloadgentoo-524354bd662b0e83403f5722d8f421f7bd6110e0.tar.gz
gentoo-524354bd662b0e83403f5722d8f421f7bd6110e0.tar.bz2
gentoo-524354bd662b0e83403f5722d8f421f7bd6110e0.zip
net-mail/getmail: version bump to 4.51.0
Diffstat (limited to 'net-mail')
-rw-r--r--net-mail/getmail/Manifest1
-rw-r--r--net-mail/getmail/getmail-4.51.0.ebuild25
2 files changed, 26 insertions, 0 deletions
diff --git a/net-mail/getmail/Manifest b/net-mail/getmail/Manifest
index ea32b578ba3..bf0c48f552e 100644
--- a/net-mail/getmail/Manifest
+++ b/net-mail/getmail/Manifest
@@ -1,3 +1,4 @@
DIST getmail-4.48.0.tar.gz 190129 SHA256 49441e92eed577127331caf9b97f2ddaea14e97e8a49259efd9184a766a9b94c SHA512 fb37dfb6f9edc770f7186b8c3ae67642181b1b025cccf31434814aec4d5f78f021ce73fa5493b7b82b0f2d5a70e58d389cbfc408475547d43b82a98e4645d090 WHIRLPOOL 218a5d1d1c3719dcd64f8ee8947553cbe4b391df97ab8b90a418c846189c592a887abfc05d387534efc2ec20b6b9b71656547705650979458718adb953d99c04
DIST getmail-4.49.0.tar.gz 150719 SHA256 1c6c4a3ebd17c1b15dc940a5888b0ceca4d135c1c20629ebe274ba025aff1ed4 SHA512 5cd53aecf54dee6e7d70aa3a1dab9c1e01e681280424c03ce4360faa2653386da2e4b14e7876e8ab46fee92f62e5036ab794850ab85f66c7c26b747bf8becc34 WHIRLPOOL d1cf995505dd889ff942af10047f7773923bd934792dd699ecb071209416edfe33fcfe8d82f894046e1c9576d0cc9d0cb6099e742a2432dc5b9af8f66573e505
DIST getmail-4.50.0.tar.gz 150892 SHA256 fcbc77b9a14a2798a50725af9488d292bc97e983997947df1b9dcd9a0e288bc1 SHA512 f8484fe907e82bd96abc6fea9e824a51608450921020d18522c6da00ddc5f0c1a2f9be0a534d1451830174d33e526e956a1bba9b7e9f2c987f765547848317c9 WHIRLPOOL e33b67495165457ded9f071b72f935d7b721303610354db18ecfd1f8bf4956b173410ea6f47c9835c57c96536033dbcb05537d0316d742d51440834977473a9c
+DIST getmail-4.51.0.tar.gz 190612 SHA256 bc2254f6f0f23eb65c69df343a743048b8ce93cc51fc8ee0c2e7652a4c95eddb SHA512 0da5b5958a755bb66bdc7eb6dcacc99c81db2f18c44def911bd90f95a6b0a42a68d9426a278d75c68a001129da6fd97425cca3d4c87b2442b1faa504b27ac72d WHIRLPOOL b75be65a10826c901368a872c1ae83383951f47ca1029783d103acd211a743c062ac1d1be8e675d7809175a86317012dbfaee159f8b5fb0986e3b34f29c1f3d8
diff --git a/net-mail/getmail/getmail-4.51.0.ebuild b/net-mail/getmail/getmail-4.51.0.ebuild
new file mode 100644
index 00000000000..8abf74fbcc4
--- /dev/null
+++ b/net-mail/getmail/getmail-4.51.0.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ssl?"
+
+inherit distutils-r1
+
+DESCRIPTION="A POP3 mail retriever with reliable Maildir and mbox delivery"
+HOMEPAGE="http://pyropus.ca/software/getmail/"
+SRC_URI="http://pyropus.ca/software/getmail/old-versions/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="4"
+KEYWORDS="~amd64 ~ppc ~x86 ~ppc-macos ~x86-macos ~x64-solaris"
+IUSE="ssl"
+
+python_prepare_all() {
+ sed -i -e "s,'getmail-%s' % __version__,'${PF}'," \
+ -e "/docs\/COPYING/d" "${S}"/setup.py || die
+
+ distutils-r1_python_prepare_all
+}